int global0 = 0;
int gloabl2 = 0;

struct st1 { int field1; long field2; };

void func3(int arg5)
{
	int j, k, i;

	j = global2;

	j = cond1 ? if_true : else_false;
	j = cond2 ? : only_false;
	k = st1.fieldk;

test_label:
	i = st2->fieldi;
	m = st3()->fieldm;
	if (cond1)
		j = global1;
	else
		j = beef;
	func2(foo, 2, bar, arg5, dead);
}

int global0 = 0;
int gloabl2 = 0;

struct st1 { int field1; long field2; };

void func3(int arg5)
{
	int j, k, i;

	j = global2;

	j = cond1 ? if_true : else_false;
	j = cond2 ? : only_false;
	k = st1.fieldk;

test_label:
	i = st2->fieldi;
	m = st3()->fieldm;
	if (cond1)
		j = global1;
	else
		j = beef;
	func2(foo, 2, bar, arg5, dead);
}

